cURL
curl --request POST \
--url https://api.gowinston.ai/v2/advanced-image-detection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"image_url": "https://example.com/image.png"
}
'import requests
url = "https://api.gowinston.ai/v2/advanced-image-detection"
payload = { "image_url": "https://example.com/image.png" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({image_url: 'https://example.com/image.png'})
};
fetch('https://api.gowinston.ai/v2/advanced-image-detection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gowinston.ai/v2/advanced-image-detection",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'image_url' => 'https://example.com/image.png'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gowinston.ai/v2/advanced-image-detection"
payload := strings.NewReader("{\n \"image_url\": \"https://example.com/image.png\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gowinston.ai/v2/advanced-image-detection")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"image_url\": \"https://example.com/image.png\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gowinston.ai/v2/advanced-image-detection")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"image_url\": \"https://example.com/image.png\"\n}"
response = http.request(request)
puts response.read_body{
"status": 200,
"cost": 500,
"language": "en",
"title": "Portrait of a Person",
"tags": [
"portrait",
"face"
],
"tool_used": [
"classify_image",
"extract_metadata",
"ela_image"
],
"label": "AI-Generated",
"confidence": "High",
"authenticity": "Manipulated",
"conclusion": "The image shows strong indicators of AI generation.",
"analysis": "<string>",
"tools_used_analysis": [
{
"id": "extract_metadata",
"analysis": "The metadata is stripped of EXIF and C2PA information.",
"result": {}
}
],
"balance": 9500
}{
"error": "Invalid URL provided",
"description": "The URL provided is not a valid public image URL."
}{
"error": "Unauthorized",
"description": "Missing or invalid authentication token, please provide a valid token in the Authorization header."
}{
"error": "Insufficient credits",
"description": "The user does not have enough credits to perform this action."
}{
"error": "Error while analyzing image, please try again later or contact support"
}Endpoints
Advanced AI image Detection
Runs an advanced forensic analysis on a public image URL. The API authenticates the caller with a bearer token, checks the user’s credit balance, analyzes the image, charges 500 credits after a successful analysis, and returns a structured forensic report.
POST
/
v2
/
advanced-image-detection
cURL
curl --request POST \
--url https://api.gowinston.ai/v2/advanced-image-detection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"image_url": "https://example.com/image.png"
}
'import requests
url = "https://api.gowinston.ai/v2/advanced-image-detection"
payload = { "image_url": "https://example.com/image.png" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({image_url: 'https://example.com/image.png'})
};
fetch('https://api.gowinston.ai/v2/advanced-image-detection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gowinston.ai/v2/advanced-image-detection",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'image_url' => 'https://example.com/image.png'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gowinston.ai/v2/advanced-image-detection"
payload := strings.NewReader("{\n \"image_url\": \"https://example.com/image.png\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gowinston.ai/v2/advanced-image-detection")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"image_url\": \"https://example.com/image.png\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gowinston.ai/v2/advanced-image-detection")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"image_url\": \"https://example.com/image.png\"\n}"
response = http.request(request)
puts response.read_body{
"status": 200,
"cost": 500,
"language": "en",
"title": "Portrait of a Person",
"tags": [
"portrait",
"face"
],
"tool_used": [
"classify_image",
"extract_metadata",
"ela_image"
],
"label": "AI-Generated",
"confidence": "High",
"authenticity": "Manipulated",
"conclusion": "The image shows strong indicators of AI generation.",
"analysis": "<string>",
"tools_used_analysis": [
{
"id": "extract_metadata",
"analysis": "The metadata is stripped of EXIF and C2PA information.",
"result": {}
}
],
"balance": 9500
}{
"error": "Invalid URL provided",
"description": "The URL provided is not a valid public image URL."
}{
"error": "Unauthorized",
"description": "Missing or invalid authentication token, please provide a valid token in the Authorization header."
}{
"error": "Insufficient credits",
"description": "The user does not have enough credits to perform this action."
}{
"error": "Error while analyzing image, please try again later or contact support"
}Authorizations
Body
application/json
The Advanced Image Detection request body
Response
Advanced Image Detection response